﻿<%@ Page Title="Demandes traitées" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master"
    CodeBehind="Voir_demandes_traitees.aspx.vb" Inherits="Travaux.Voir_demandes_traitees" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <table>
        <caption>
            Voir les demandes que j'ai trait&eacute;es</caption>
        <tr>
            <td>
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
                    AutoGenerateColumns="False" DataKeyNames="id_demande" DataSourceID="SqlDataSource1"
                    EmptyDataText="Vous n'avez traité aucune demande." 
                    CssClass="mev">
                    <Columns>
                        <asp:BoundField DataField="id_demande" HeaderText="n°" ReadOnly="True" SortExpression="id_demande"
                            InsertVisible="False" />
                        <asp:BoundField DataField="nom" HeaderText="nom" 
                            SortExpression="nom" />
                        <asp:BoundField DataField="date_demande" HeaderText="date de la demande" 
                            SortExpression="date_demande" DataFormatString="{0:dd/MM/yyyy}" />
                        <asp:BoundField DataField="securite" HeaderText="sécurité" 
                            SortExpression="securite" />
                        <asp:BoundField DataField="nuisance" HeaderText="nuisance" 
                            SortExpression="nuisance" />
                        <asp:BoundField DataField="date_ctm" HeaderText="date ctm" 
                            SortExpression="date_ctm" DataFormatString="{0:dd/MM/yyyy}" />
                        <asp:BoundField DataField="analyse" HeaderText="analyse ctm" 
                            SortExpression="analyse" />
                        <asp:BoundField DataField="total_cout" HeaderText="coût total" 
                            SortExpression="total_cout" DataFormatString="{0:c}" ReadOnly="True" />
                        <asp:BoundField DataField="date_retour" HeaderText="date de retour" 
                            SortExpression="date_retour" DataFormatString="{0:dd/MM/yyyy}" />
                        <asp:BoundField DataField="etat" HeaderText="statut" SortExpression="etat" />
                        <asp:HyperLinkField DataNavigateUrlFields="id_demande" 
                            DataNavigateUrlFormatString="../Utilisateurs/Demande.aspx?id_d={0}" 
                            DataTextField="id_demande" DataTextFormatString="Voir" />
                        <asp:HyperLinkField DataNavigateUrlFields="id_demande" 
                            DataNavigateUrlFormatString="Demande_ctm.aspx?id_d={0}" 
                            DataTextField="id_demande" DataTextFormatString="Voir CTM" />
                    </Columns>
                </asp:GridView>
                <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:Database1ConnectionString1 %>"
                    DeleteCommand="DELETE FROM [Demande] WHERE [id_demande] = @id_demande" InsertCommand="INSERT INTO [Demande] ([date_demande], [securite], [nuisance], [analyse_ctm], [date_ctm], [total_cout], [date_retour], [statut], [lieu]) VALUES (@date_demande, @securite, @nuisance, @analyse_ctm, @date_ctm, @total_cout, @date_retour, @statut, @lieu)"
                    ProviderName="<%$ ConnectionStrings:Database1ConnectionString1.ProviderName %>"
                    SelectCommand="SELECT Demande.id_demande, Demande.date_demande, sec.nom AS securite, nui.nom AS nuisance, ana.nom AS analyse, Demande.date_ctm, Demande.total_cout, Demande.date_retour, Statut.etat, Lieu.nom AS lieu, Utilisateur.nom FROM Demande INNER JOIN Booleen AS sec ON Demande.securite = sec.num INNER JOIN Booleen AS nui ON Demande.nuisance = nui.num INNER JOIN Booleen AS ana ON Demande.analyse_ctm = ana.num INNER JOIN Statut ON Demande.statut = Statut.num INNER JOIN Lieu ON Demande.lieu = Lieu.num INNER JOIN Utilisateur ON Demande.id_utilisateur = Utilisateur.id_utilisateur WHERE (Demande.statut = @statut) AND (Demande.id_traitement_ctm = @id_traitement_ctm)"
                    
                    
                    UpdateCommand="UPDATE [Demande] SET [date_demande] = @date_demande, [securite] = @securite, [nuisance] = @nuisance, [analyse_ctm] = @analyse_ctm, [date_ctm] = @date_ctm, [total_cout] = @total_cout, [date_retour] = @date_retour, [statut] = @statut, [lieu] = @lieu WHERE [id_demande] = @id_demande">
                    <DeleteParameters>
                        <asp:Parameter Name="id_demande" Type="Int32" />
                    </DeleteParameters>
                    <InsertParameters>
                        <asp:Parameter Name="date_demande" DbType="Date" />
                        <asp:Parameter Name="securite" Type="Int16" />
                        <asp:Parameter Name="nuisance" Type="Int16" />
                        <asp:Parameter Name="analyse_ctm" Type="Int16" />
                        <asp:Parameter Name="date_ctm" DbType="Date" />
                        <asp:Parameter Name="total_cout" Type="Decimal" />
                        <asp:Parameter Name="date_retour" DbType="Date" />
                        <asp:Parameter Name="statut" Type="Int16" />
                        <asp:Parameter Name="lieu" Type="Int16" />
                    </InsertParameters>
                    <SelectParameters>
                        <asp:Parameter DefaultValue="3" Name="statut" Type="Int16" />
                        <asp:SessionParameter Name="id_traitement_ctm" SessionField="userid" 
                            Type="Int32" DefaultValue="2" />
                    </SelectParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="date_demande" DbType="Date" />
                        <asp:Parameter Name="securite" Type="Int16" />
                        <asp:Parameter Name="nuisance" Type="Int16" />
                        <asp:Parameter Name="analyse_ctm" Type="Int16" />
                        <asp:Parameter Name="date_ctm" DbType="Date" />
                        <asp:Parameter Name="total_cout" Type="Decimal" />
                        <asp:Parameter Name="date_retour" DbType="Date" />
                        <asp:Parameter Name="statut" Type="Int16" />
                        <asp:Parameter Name="lieu" Type="Int16" />
                        <asp:Parameter Name="id_demande" Type="Int32" />
                    </UpdateParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
    </table>
</asp:Content>
